spring:
#durid configuration
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://mysql5.7:3306/crsh2?useUnicode=true&characterEncoding=utf-8&autoReconnect=true&allowMultiQueries=true
    username: crsh
    password: Suntray&wuhan123
    initialSize: 0
    minIdle: 0
    maxActive: 1000
    maxWait: -1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 1800000
    validationQuery: SELECT 1 FROM DUAL
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxPoolPreparedStatementPerConnectionSize: 20
    filters: log4j,wall,mergeStat,config  #不能跟proxyFilters同时使用
#    proxyFilters : WallFilter  #为了批量跟新添加定制Filters
    connectionProperties: config.decrypt=false
    removeAbandoned: true
    druid.removeAbandonedTimeout: 600
#    useGlobalDataSourceStat: true